Bug 50608 - Make "Forgot your password?" in login configurable
Make "Forgot your password?" in login configurable
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Self Service
UCS 4.4
Other Linux
: P5 normal (vote)
: UCS 4.4-3-errata
Assigned To: Johannes Keiser
Julia Bremer
:
Depends on: 50609
Blocks:
  Show dependency treegraph
 
Reported: 2019-12-06 15:01 CET by Valentin Heidelberger
Modified: 2020-02-12 15:40 CET (History)
5 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 2: Improvement: Would be a product improvement
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.023
Enterprise Customer affected?:
School Customer affected?: Yes
ISV affected?:
Waiting Support:
Flags outvoted after Product Owner Review:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
Change URL of "Forgot your password" link in UMC login (562 bytes, patch)
2020-01-07 10:52 CET, Valentin Heidelberger
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Valentin Heidelberger univentionstaff 2019-12-06 15:01:18 CET
Below the UMC login box there are 2-3 links, depending on whether it's a SAML login. Among them is "Forgot your password?" This link should be configurable. One should be able to change persistently at least:

- Whether the link is shown (enable/disable)
- Where link exactly leads to (Linking to any URL should be possible)
Comment 1 Valentin Heidelberger univentionstaff 2020-01-07 10:52:23 CET
Created attachment 10278 [details]
Change URL of "Forgot your password" link in UMC login

As requested, here is my very simple patch for a customer who needs this (specifically changing the URL).
Comment 2 Johannes Keiser univentionstaff 2020-02-06 14:49:59 CET
c68c7a317f Bug #50608: yaml
9f4d9162bc Bug #50608: yaml
46e9efabb6 Bug #50608: debian changelog
eda906ed61 Bug #50608: make 'Forgot your password?' link configurable via ucr

Successful build
Package: univention-self-service
Version: 4.0.3-15A~4.4.0.202002061436

The "Forgot your password?" link is now configurable via umc/login/links/forgot_your_password/.*
Comment 3 Julia Bremer univentionstaff 2020-02-10 15:53:14 CET
UCr variable works: OK
Autofocus configured: OK
Verified
Comment 4 Erik Damrose univentionstaff 2020-02-12 15:40:31 CET
<http://errata.software-univention.de/ucs/4.4/441.html>